/*
    Colorbox Core Style:
    The following CSS is consistent between example themes and should not be altered.
*/
#colorbox,
#cboxOverlay,
#cboxWrapper {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 9999;
  overflow: hidden;
}
#cboxWrapper {
  max-width: none;
}
#cboxOverlay {
  width: 100%;
  height: 1000%;
}
#cboxMiddleLeft,
#cboxBottomLeft {
  clear: left;
}
#cboxContent {
  position: relative;
}
#cboxLoadedContent {
  overflow: auto;
  -webkit-overflow-scrolling: touch;
}
#cboxTitle {
  margin: 0;
}
#cboxLoadingOverlay,
#cboxLoadingGraphic {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
#cboxPrevious,
#cboxNext,
#cboxSlideshow {
  cursor: pointer;
}
.cboxPhoto {
  float: left;
  margin: auto;
  border: 0;
  display: block;
  max-width: none;
  -ms-interpolation-mode: bicubic;
}
.cboxIframe {
  width: 100%;
  height: 100%;
  display: block;
  border: 0;
  padding: 0;
  margin: 0;
}
#colorbox,
#cboxContent,
#cboxLoadedContent {
  box-sizing: content-box;
  -moz-box-sizing: content-box;
  -webkit-box-sizing: content-box;
}
/* 
    User Style:
    Change the following styles to modify the appearance of Colorbox.  They are
    ordered & tabbed in a way that represents the nesting of the generated HTML.
*/
#cboxOverlay {
  background: #000;
}
#colorbox {
  outline: 0;
}
#cboxTopLeft {
  width: 14px;
  height: 14px;
}
#cboxTopCenter {
  height: 14px;
}
#cboxTopRight {
  width: 14px;
  height: 14px;
}
#cboxBottomLeft {
  width: 14px;
}
#cboxBottomCenter {
  height: 43px;
}
#cboxBottomRight {
  width: 14px;
}
#cboxMiddleLeft {
  width: 14px;
}
#cboxMiddleRight {
  width: 14px;
}
#cboxContent {
  background: #fff;
  overflow: visible;
}
.cboxIframe {
  background: #fff;
}
#cboxError {
  padding: 50px;
  border: 1px solid #ccc;
}
#cboxCurrent {
  position: absolute;
  bottom: -25px;
  left: 58px;
  font-weight: bold;
  color: #7C7C7C;
}
/* these elements are buttons, and may need to have additional styles reset to avoid unwanted base styles */
#cboxPrevious,
#cboxNext,
#cboxSlideshow {
  border: 0;
  padding: 0;
  margin: 0;
  overflow: visible;
  position: absolute;
  bottom: -29px;
  width: 23px;
  height: 23px;
  text-indent: -9999px;
}
/* avoid outlines on :active (mouseclick), but preserve outlines on :focus (tabbed navigating) */
#cboxPrevious:active,
#cboxNext:active,
#cboxSlideshow:active,
#cboxClose:active {
  outline: 0;
}
#cboxPrevious {
  left: 0px;
  background-position: -51px -25px;
}
#cboxPrevious:hover {
  background-position: -51px 0px;
}
#cboxNext {
  left: 27px;
  background-position: -75px -25px;
}
#cboxNext:hover {
  background-position: -75px 0px;
}
.cboxSlideshow_on #cboxSlideshow {
  background-position: -125px 0px;
  right: 27px;
}
.cboxSlideshow_on #cboxSlideshow:hover {
  background-position: -150px 0px;
}
.cboxSlideshow_off #cboxSlideshow {
  background-position: -150px -25px;
  right: 27px;
}
.cboxSlideshow_off #cboxSlideshow:hover {
  background-position: -125px 0px;
}
#cboxTitle {
  background: transparent;
  position: absolute;
  top: 0;
  padding: 43px 40px 15px;
  height: 88px;
  display: table;
  width: 100%;
}
#cboxTitle .headline {
  font-size: 24px;
  line-height: 24px;
  font-weight: bold;
  width: 100%;
  vertical-align: middle;
}
#cboxClose {
  position: absolute;
  right: 13px;
  top: 10px;
  background: transparent;
  border: 0 none;
  color: #000000;
  padding: 5px;
  font-size: 25px;
}
#cboxLoadedContent {
  margin-top: 88px;
  padding: 15px 2 11 2;
}
#cboxLoadedContent .add-to-cart-item {
  margin-bottom: 2;
}
#cboxLoadedContent .addressEntry + .addressEntry,
#cboxLoadedContent .saved-payment-entry + .saved-payment-entry {
  margin-top: 55px;
}
#cboxLoadedContent .addressEntry ul,
#cboxLoadedContent .saved-payment-entry ul {
  margin-top: -0.5;
  margin-bottom: 1;
}
#cboxLoadedContent .modal-details {
  line-height: 1.8em;
}
#cboxLoadedContent .modal-actions {
  margin-top: 1;
}
#cboxLoadedContent .modal-actions .btn {
  margin-top: 1;
}
@media (max-width: 639px) {
  #cboxTitle {
    height: 112px;
    padding-left: 1;
    padding-right: 1;
  }
  #cboxLoadedContent {
    margin-top: 112px;
    padding: 15px 1 11 1;
  }
  #cboxLoadedContent .addressEntry ul {
    margin-top: -6;
  }
}
.modal__top {
  padding-bottom: 13;
  margin-bottom: 11;
  border-bottom: 1px solid #000000;
}
.modal__top .modal__top--label {
  color: #303030;
  font-weight: bold;
  font-style: italic;
}
.modal__top .modal__top--text {
  font-style: italic;
}
.modal__text--bold {
  font-weight: bold;
}
.modal__bottom {
  margin-bottom: 2;
  font-size: 15px;
}
.quote-discount__modal--label {
  font-size: 15px;
  font-weight: 600;
  color: #303030;
  text-transform: capitalize;
  vertical-align: middle;
  display: table-cell;
  height: 40px;
}
.quote-discount__modal--input {
  margin-bottom: -2;
  width: 100%;
}
.quote-discount__modal--input input[type=number] {
  -moz-appearance: textfield;
}
.quote-discount__modal--input input[type=number]::-webkit-inner-spin-button,
.quote-discount__modal--input input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.quote-discount__modal--input__label {
  display: table-cell;
  vertical-align: middle;
  font-size: 18px;
  padding-right: 0.5;
  width: 25px;
  text-align: right;
}
.quote-discount__modal--original__total {
  font-size: 15px;
  font-style: italic;
  border-bottom: 1px solid #000000;
  color: #303030;
  padding-bottom: -6;
  margin-bottom: -10;
  margin-top: 0.5;
}
.quote-discount__modal--new__total {
  color: #303030;
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 28;
}
.mapal-form__checkbox.checkbox--disabled,
.mapal-form__checkbox.radio--disabled {
  opacity: 0.5;
  color: #cccccc;
  pointer-events: auto;
  cursor: not-allowed;
}
.mapal-form__checkbox.checkbox--disabled .mapal-checkbox__label,
.mapal-form__checkbox.radio--disabled .mapal-checkbox__label {
  color: #cccccc;
  cursor: not-allowed;
}
.mapal-form__checkbox.checkbox--disabled .mapal-checkbox__checkbox,
.mapal-form__checkbox.radio--disabled .mapal-checkbox__checkbox {
  opacity: 0.6;
  cursor: not-allowed;
}
.mapal-form__checkbox.checkbox--disabled .mapal-checkbox__on,
.mapal-form__checkbox.radio--disabled .mapal-checkbox__on,
.mapal-form__checkbox.checkbox--disabled .mapal-checkbox__off,
.mapal-form__checkbox.radio--disabled .mapal-checkbox__off {
  opacity: 0.4;
}
.mapal-form__checkbox.checkbox--disabled input[type="checkbox"],
.mapal-form__checkbox.radio--disabled input[type="checkbox"],
.mapal-form__checkbox.checkbox--disabled input[type="radio"],
.mapal-form__checkbox.radio--disabled input[type="radio"] {
  cursor: not-allowed;
  pointer-events: none;
}
.mapal-form__checkbox.checkbox--disabled svg,
.mapal-form__checkbox.radio--disabled svg {
  opacity: 0.35;
  fill: #cccccc;
}
